- IssueType: Epic
  Project: LKQ
  Summary: Create SQUADs build-parser
  Epic Name: Create SQUADs build-parser
  Description: |-
    SQUAD catches build failures today, pass/fail. However, there is no way
    without looking into the build.log file to understand what failed.
    If a similar plugin as the linux-log-parser can be created but for build
    log files then SQUAD can start tracking errors and warnings. SQUAD can then
    also see if a specific error reoccurs multiple times or if its in a
    specific subsystem that always have build errors/warnings.

    Investigate how to parse and report config file issues should be in its own
    epic when this epic is delivered.

    Deliverables
    * Investigate how to parse errors/warnings in gcc and clang
    * Implement the SQUAD plugin error/warning parser - gcc and clang

  AssigneeEmail: anders.roxell@linaro.org
  Due date: 2023-06-30
  Share Visibility: [charles.oliveira@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: "Investigate how to parse errors/warnings in gcc"
  Description: |-
    Find and classify enough with build errors and warnings so and present what
    will be enough to capture in an error/warning (multiline) snippet. Also
    present an idea of what would be a descriptive name.

  AssigneeEmail: naresh.kamboju@linaro.org
  EpicLink: "Create SQUADs build-parser"
  OriginalEstimate: 2d
  Share Visibility: [charles.oliveira@linaro.org, anders.roxell@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: "Investigate how to parse errors/warnings in clang"
  Description: |-
    Find and classify enough with build errors and warnings so and present what
    will be enough to capture in an error/warning (multiline) snippet. Also
    present an idea of what would be a descriptive name.

  AssigneeEmail: naresh.kamboju@linaro.org
  EpicLink: "Create SQUADs build-parser"
  OriginalEstimate: 2d
  Share Visibility: [charles.oliveira@linaro.org, anders.roxell@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: "Implement the SQUAD plugin error/warning parser - gcc"
  Description: |-
    Implement a plugin for the foundation of the build log parser and only gcc.

  AssigneeEmail: charles.oliveira@linaro.org
  EpicLink: "Create SQUADs build-parser"
  OriginalEstimate: 3d
  Share Visibility: [anders.roxell@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: "Implement the SQUAD plugin error/warning parser - clang"
  Description: |-
    Extend the build log parser plugin with clang errors/warnings.

  AssigneeEmail: charles.oliveira@linaro.org
  EpicLink: "Create SQUADs build-parser"
  OriginalEstimate: 1d
  Share Visibility: [anders.roxell@linaro.org, ben.copeland@linaro.org]
